> For the complete documentation index, see [llms.txt](https://docs.fieldmotion.com/fieldmotion-api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fieldmotion.com/fieldmotion-api-docs/jobs/_getdt.md).

# \_getDT

Retrieve details of all Jobs.

### Example

```
FM_api('Jobs_getDT']);
```

### Result

#### On Success

```
{"draw":0,"recordsTotal":46,"recordsFiltered":46,"data":[[["2","0",0],"2018-09-25",["2018-09-25 13:00:00","Tue 25th Sep, 2018, 01:00PM","2018-09-20 13:00:00"],"Service","[{\"content\":\"\",\"createdby\":0,\"noteTime\":0},{\"content\":\"Service boiler\",\"createdby\":\"82878\",\"noteTime\":1537357018522}]","82878|0|0|",["2","0","","based on last one, using method defined in Settings page"],"0|3",", Down, BT35 6BB","<p class=\"hide\">10<\/p><span title=\"Click to view Recorded Form Data for this form\">Servic"...}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fieldmotion.com/fieldmotion-api-docs/jobs/_getdt.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
